import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class DailyUsageTrendComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    dailyUsageChart: ElementRef;
    constructor(usageReportLibService: UsageReportLibService);
    currentMonth: any;
    headerTitle: any;
    isMonthShowReqiured: boolean;
    dailyUsageTrendAssetChartData: any;
    dailyUsageTrendLoginChartData: any;
    daily_usage_asset_chartType: ChartType;
    daily_usage_asset_DataTable: any;
    daily_usage_asset_chartOptions: any;
    daily_usage_asset_chartwidth: any;
    daily_usage_asset_chartHeight: any;
    daily_usage_asset_chartColumns: any;
    daily_usage_login_chartType: ChartType;
    daily_usage_login_DataTable: any;
    daily_usage_login_chartOptions: any;
    daily_usage_login_chartwidth: any;
    daily_usage_login_chartHeight: any;
    daily_usage_login_chartColumns: any;
    dailyUsageChartdiv: any;
    assetsArray: any;
    mydata: any;
    isStackedValue: any;
    ngOnInit(): void;
    setSizeofCharts(): void;
    load_assetChart(): void;
    load_loginChart(): void;
    onChangechartview(event: any): void;
    onResizeWindow(event: any): void;
    createCustomHTMLContent(assetType: any, count: any, day: any): string;
    ngOnDestroy(): void;
}
