import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class MonthlyUsageTrendComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    monthlyUsageChart: ElementRef;
    monthly_usag_chartType: ChartType;
    monthly_usag_DataTable: any;
    monthly_usag_chartOptions: any;
    monthly_usag_chartwidth: any;
    monthly_usag_chartHeight: any;
    monthly_usag_chartColumns: any;
    headerTitle: string;
    isMonthShowReqiured: boolean;
    monthlyUsageData: any;
    currentDataTable: any;
    chartColumns: any;
    chartOptions: any;
    myChart: any;
    userSelectedTab: number;
    stackedBtnDiv: any;
    state: string;
    activeState: 'All';
    assetsList: any[];
    assetsArray: any[];
    topicDataArray: any[];
    mediaDataArray: any[];
    printDataArray: any[];
    activityDataArray: any[];
    gameDataArray: any[];
    questionDataArray: any[];
    monthlyUsageChartDiv: any;
    isStackedValue: any;
    dictionary: {
        quiz: {
            key: string;
            title: string;
        };
        chapter: {
            key: string;
            title: string;
        };
        widget: {
            key: string;
            title: string;
        };
        question: {
            key: string;
            title: string;
        };
        casset_print: {
            key: string;
            title: string;
        };
        casset_weblink: {
            key: string;
            title: string;
        };
        whiteboard: {
            key: string;
            title: string;
        };
        asset_media: {
            key: string;
            title: string;
        };
        tools: {
            key: string;
            title: string;
        };
        cquiz: {
            key: string;
            title: string;
        };
        cquestion: {
            key: string;
            title: string;
        };
        feature: {
            key: string;
            title: string;
        };
        asset_print: {
            key: string;
            title: string;
        };
        casset_media: {
            key: string;
            title: string;
        };
        tp: {
            key: string;
            title: string;
        };
    };
    resourceUsage: any[];
    constructor(usageReportLibService: UsageReportLibService);
    newAssetsArray: any[];
    newMonthlyUsageData: any[];
    ngOnInit(): void;
    toTitleCase(str: any): any;
    onResizeDiv(): void;
    setSizeofCharts(): void;
    loadChart(): void;
    chartDesign(): void;
    updateChart(): void;
    onResizeWindow(event: any): void;
    onChangechartview(event: any): void;
    changeChartOption(option: any): void;
    onAssetTabClick(index: any): void;
    ngOnDestroy(): void;
}
