import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { UsageReportLibService } from './usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class UsageReportLibComponent implements OnInit, OnDestroy {
    private usageReportService;
    destroy$: Subject<void>;
    scrollHandler(event: any): void;
    set data(res: any);
    set summaryData(res: any);
    set reportSource(res: any);
    set currentMonth(res: any);
    userSelectedDate: EventEmitter<any>;
    monthKey: any;
    constructor(usageReportService: UsageReportLibService);
    ngOnInit(): void;
    onUserSelectDate(e: any): void;
    setUsageDataModel(response: any): void;
    setSummaryDataModel(response: any): void;
    userSelectMonth(response: any): void;
    contentScroll(event: any): void;
    ngOnDestroy(): void;
}
