import { BehaviorSubject, Observable, ReplaySubject } from 'rxjs';
export declare class UsageReportLibService {
    fileCount: number;
    assetTypeList: any;
    currentMonthList: any;
    tableData: any;
    data: any;
    chartView: boolean;
    month: any;
    usageModelGobal: any;
    responselist: any[];
    daysList: any[];
    monthName: string[];
    reportSource: string;
    isChart: BehaviorSubject<boolean>;
    isChart$: Observable<boolean>;
    TtableViewData: BehaviorSubject<any>;
    TtableViewData$: Observable<any>;
    monthSelected: BehaviorSubject<any>;
    monthSelected$: Observable<any>;
    isPopView: ReplaySubject<unknown>;
    isPopView$: Observable<unknown>;
    isUsageModelGlobalReady: ReplaySubject<unknown>;
    isUsageModelGlobalReady$: Observable<unknown>;
    usageDataModelReady: ReplaySubject<unknown>;
    usageDataModelReady$: Observable<unknown>;
    userChangeDate: ReplaySubject<unknown>;
    userChangeDate$: Observable<unknown>;
    monthlyUsageDataReady: ReplaySubject<unknown>;
    monthlyUsageDataReady$: Observable<unknown>;
    userWiseAssetDataReady: ReplaySubject<unknown>;
    userWiseAssetDataReady$: Observable<unknown>;
    userWiseLoginDataReady: ReplaySubject<unknown>;
    userWiseLoginDataReady$: Observable<unknown>;
    userWiseTimeDataReady: ReplaySubject<unknown>;
    userWiseTimeDataReady$: Observable<unknown>;
    uniqueSummaryDataReady: ReplaySubject<unknown>;
    uniqueSummaryDataReady$: Observable<unknown>;
    screenshotInProgress: BehaviorSubject<boolean>;
    screenshotInProgress$: Observable<boolean>;
    heatMapData: any;
    usageDataModel: any;
    monthKey: any;
    newMonthKey: any;
    assetWiseDetailsperMonth: any;
    schoolMetadata: any;
    resoponseList: any[];
    uniqueSummaryData: any[];
    constructor();
    setSummaryDataModel(response: any[]): void;
    setUsageDataModelGlobal(response: any): void;
    getDayslistofMonth(): void;
    getUniqueListBy(arr: any, key: any): unknown[];
    getCurrentMonthList(): any;
    getName(user: any): string;
    userSelectTheMonth(response: any): void;
    toTitleCase(input: any): any;
    setUsageDataModel(response: any): {
        monthKey: any;
        usageDataModel: any[];
        heatDataModel: any[];
        assetWiseDetails: any;
        schoolMetaData: any;
    };
    getContentUsageBubbleData(): {
        data: any[];
        levelList: any[];
        subjectList: any[];
        assetList: any[];
    };
    sortClassesByNumber_OLD(arr: any): any;
    sortClassesByNumber(arr: any): any;
    getContentUsageTableData(): {};
    buildDataforContentUsage(data: any): any[];
    buildAssetDataforContentUsage(data: any, subject: string): any[];
    getMonthlyUsageData(): {
        chartData: any[];
        assetList: any[];
    };
    getDailyUsageTrendData(): {
        data: any[];
        column: any[];
    };
    getDailyUsageLoginData(): any[];
    buildDailyUsageLoginChartData(userLoginDetails: any): any[];
    getUserWiseUsageData(): {
        userWiseUsageData: any[];
        activeUserCount: {};
    };
    getUserWiseTableViewData(): any[];
    getTableDetailColumnStr(inputArray: any): string;
    getUserWisePopUpAssetData(userID: any): void;
    getUserWisePopUpLoginData(userID: any): void;
    getUserWisePopUpTimeData(userID: any): void;
    calculateRegisterdUser(): {};
    buildDailyUsageChartData(data: any): any[];
    buildAssetCountChartData(data: any): any[];
    buildLineChartData(userLoginDetails: any): any[];
    buildAreaChartData(viewed_usage: any, assetTypeList: any): any[];
    getFeatureAndContributionData(): {
        featureChartData: any[];
        featureTableData: any[];
        featureUserCountList: any[];
        sContributionChartData: any[];
        sContributionTableData: any[];
        sContributionUserCountList: any[];
    };
    addValues_of_samelogDay(list: any): any[];
    addValues_of_sameLabel(list: any): any[];
    addValues_of_sameLevel(list: any): any[];
    getNumOfDaysInaMonth(): number;
    sortObjectByKeys(a: any): any;
    sortObjectBylevel(a: any): any;
    timeConvert(n: any): string;
    secondsToHoursMinutes(inputSeconds: any): string;
    getSummaryFromServer(): {
        schoolId: string;
        content: {
            expectedTpCount: number;
            presentTpCount: number;
            dummyTpCount: number;
            expectedAssetCount: number;
            presentAssetCount: number;
            assetsUsed: number;
        };
        user: {
            totalUsers: number;
            activeUsers: number;
        };
        terminal: {
            activeHours: number;
            workingDays: number;
            totalClassrooms: number;
            classroomUsageSeconds: number;
            edgeroomUsageSeconds: number;
            totalEdgerooms: number;
        };
        userContribution: number;
        classrooms: {
            location: string;
            usageSeconds: number;
        }[];
        edgerooms: {
            location: string;
            usageSeconds: number;
        }[];
    };
    getDisplaytypeValue(key: any): any;
}
