import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { ExcelConverterService } from '../excel-converter.service';
import { Subject } from 'rxjs';
export declare class UserWiseTrendComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    private excelConverter;
    destroy$: Subject<void>;
    userWiseTrend: ElementRef;
    userWiseUsageChart: ElementRef;
    userWiseUsagePopUpChart: ElementRef;
    userWiseUsageTableView: ElementRef;
    userWiseUsageChartView: ElementRef;
    userWiseUsagesortBtns: ElementRef;
    tableViewBody: ElementRef;
    hasUserCountDifferences: boolean;
    headerTitle: string;
    userWiseDataTable: any;
    isMonthShowReqiured: boolean;
    userWise_trend_chartType: ChartType;
    userWise_trend_DataTable: any;
    userWise_trend_chartOptions: any;
    userWise_trend_chartwidth: any;
    userWise_trend_chartHeight: any;
    userWise_trend_chartColumn: any;
    sessionTimeDataTable: any;
    sessionTimeChartColumn: any;
    sessionTimeChartOptions: any;
    registerUsers: any;
    userWiseTrendData: any;
    eligibleUsers: any;
    activeUsers: any;
    percentage_ActiveUsers: any;
    userWiseBarUsageChart: any;
    userWisePopUpChart: any;
    userWiseTableView: any;
    userWiseChartView: any;
    userWisetableViewBody: any;
    userWiseSortBtn: any;
    userDetailsData: any;
    userWiseTrendDiv: any;
    isChartView: boolean;
    currentMonth: any;
    currentSummaryData: any;
    screenshotInProgress: boolean;
    isAscendingLogin: boolean;
    isAscendingViewed: boolean;
    isAscendingForSession: boolean;
    paginationsEnabled: boolean;
    pageSize: number;
    currentPage: number;
    totalPages: number;
    currentPageData: any[];
    currentSessionPageData: any[];
    constructor(usageReportLibService: UsageReportLibService, excelConverter: ExcelConverterService);
    ngOnInit(): void;
    runLocal(): void;
    updateUserSessionDataForChart(): void;
    onResizeWindow(): void;
    resizeChart(): void;
    processData(data: any): {
        modifiedData: any[];
        removedData: any[];
    };
    loadChart(): void;
    loadSessionTimeChart(): void;
    onChartSelected(event: any): void;
    findIdByName(mainData: any, searchData: any): any;
    toggleView_userWise(): void;
    ueserWiseTableView(tableData: any): void;
    Old_ueserWiseTableView(tableData: any): void;
    updatesessionChartByName(): void;
    updateResourceChartByName(): void;
    toggleSortLogins(): void;
    toggleSortResource(): void;
    toggleSortTime(): void;
    defaultSortAll(): void;
    sortSessionTimeData(data: any[], index?: any): any[];
    sortLogin(data: any[], index?: any): any[];
    sortViewed(data: any[], index?: any): any[];
    sortByCol(arr: any, colIndex: any): void;
    exportUserTrend(): void;
    cleanUpArray(arr: any): any;
    doPrint(): void;
    getTime(): string;
    getReportTitle(): string;
    getCreationDetails(): string;
    formatAMPM(date: any): string;
    getDataByMonth(dataArray: any, monthKey: any): any;
    calculateTotalPages(): void;
    updateChartwithPagination(pageData: any): void;
    updateCurrentPageData(): void;
    goToPage(page: number): void;
    nextPage(): void;
    previousPage(): void;
    ngOnDestroy(): void;
}
