import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class UserwisePopupViewComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    popViewContainer: ElementRef;
    constructor(usageReportLibService: UsageReportLibService);
    mainContainer: any;
    userName: string;
    userWiseChartwidth: any;
    userWiseChartHeight: any;
    userWiseAssetchartType: ChartType;
    userWiseAssetDataTable: any;
    userWiseAssetChartOptions: any;
    assetData: any;
    chartdata: any;
    userWiseLoginchartType: ChartType;
    userWiseLoginDataTable: any;
    userWiseLoginChartOptions: any;
    loginData: any;
    userWiseTimechartType: ChartType;
    userWiseTimeDataTable: any;
    userWiseTimeChartOptions: any;
    timeData: any;
    ngOnInit(): void;
    onResizeWindow(): void;
    loadAssetChart(): void;
    loadLoginChart(): void;
    loadTimeChart(): void;
    popviewClosed(): void;
    setSizeofCharts(): void;
    ngOnDestroy(): void;
}
