import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class ContentUsageComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    constructor(usageReportLibService: UsageReportLibService);
    destroy$: Subject<void>;
    contentUsage: ElementRef;
    myContentChart: ElementRef;
    contentUsageChartViewDiv: ElementRef;
    contentUsageTableViewDiv: ElementRef;
    tableViewHead: ElementRef;
    tableViewBody: ElementRef;
    filterDiv: ElementRef;
    filterBtnDiv: ElementRef;
    headerTitle: string;
    isMonthShowReqiured: boolean;
    content_usage_chartType: ChartType;
    content_usage_DataTable: any;
    content_usage_chartOptions: any;
    content_usage_chartwidth: any;
    content_usage_chartHeight: any;
    contentUsageData: any;
    contentUsageTableData: any;
    contentUsageChartView: any;
    contentUsageTableView: any;
    contentUsageTableHead: any;
    contentUsageTableBody: any;
    contentChart: any;
    dataset: any;
    isChartView: boolean;
    contentUsageDiv: any;
    assetTypeList: any;
    levelFilterArray: any[];
    assetsFilterArray: any[];
    subjectFilterArray: any[];
    filterdValues: any[];
    finalFilteredData: any[];
    filterDivElement: any;
    filterBtnDivElement: any;
    isFilterApply: boolean;
    allLevelsCheck: boolean;
    allSubjectsCheck: boolean;
    allAssetsCheck: boolean;
    screenshotInProgress: boolean;
    ngOnInit(): void;
    onResizeWindow(event: any): void;
    setSizeofCharts(): void;
    loadChart(): void;
    toggleView(): void;
    contentUsageTable(tableHeading: any, tableData: any): void;
    applyFilters(): void;
    closeFilter(): void;
    openCloseFilter(): void;
    clearFilters(): void;
    filtersData(): void;
    sortingSubjectData(mainData: any): any[];
    sortingLevelData(subFiltered: any): any[];
    sortingAssetData(levelFiltered: any): any[];
    allSelectBtnForSubjects(): void;
    allSelectBtnForAssets(): void;
    allSelectBtnForLevels(): void;
    onClicksLevelCheckbox(event: any): void;
    onClicksSubjectCheckbox(event: any): void;
    onClicksAssetCheckbox(event: any): void;
    ngOnDestroy(): void;
}
