import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class FeatureContrbutionTrendComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    contributionDiv: ElementRef;
    featureDiv: ElementRef;
    featureUtilzationChart: ElementRef;
    featureUtilzationTable: ElementRef;
    schoolContributionChart: ElementRef;
    schoolContributionTable: ElementRef;
    constructor(usageReportLibService: UsageReportLibService);
    headerTitle: string;
    headerTitle2: string;
    feature_Utilzation_isChartView: boolean;
    utilzaschool_Contribution_isChartView: boolean;
    isMonthShowReqiured: boolean;
    chartType: ChartType;
    feature_utilzation_ChartData: any;
    feature_utilzation_TableData: any;
    school_contribution_ChartData: any;
    school_contribution_TableData: any;
    chartOptions: any;
    chartColumns: any;
    chartwidth: any;
    chartHeight: any;
    featureUsersCount: any;
    featureUtilzationDiv: any;
    feature_Utilzation_chartDiv: any;
    feature_Utilzation_tableDiv: any;
    contributionUsersCount: any;
    schoolContributionDiv: any;
    school_Contribution_TableDiv: any;
    school_Contribution_chartDiv: any;
    feature_utilzation_UserCount: any;
    school_contribution_UserCount: any;
    tableDiv: any;
    featureData: any;
    contributionData: any;
    screenshotInProgress: boolean;
    ngOnInit(): void;
    loadChart(): void;
    setSizeofCharts(): void;
    onResizeWindow(event: any): void;
    toggleView_feature_Utilzation(): void;
    toggleView_school_contribution(): void;
    onChartSelected(e: any): void;
    ngOnDestroy(): void;
}
