import { OnInit, EventEmitter, ElementRef, OnDestroy } from '@angular/core';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class MainHeaderComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    userSelectedDate: EventEmitter<any>;
    headerNavBtn: ElementRef;
    bs64: string;
    constructor(usageReportLibService: UsageReportLibService);
    libVersion: string;
    selectedTabID: any;
    currentTabID: any;
    headertabIDs: string[];
    headertabIDsWithPosition: any[];
    headerBtns: any;
    myCalendar: any;
    calenderDate: any;
    currentDate: any;
    calenderCurrentDate: any;
    todayDate: any;
    refreshTimer: number;
    refreshInterval: any;
    calenderEvent: any;
    message: any;
    intervalId: any;
    mydata: any;
    dataList: any;
    headerTitle: string;
    subjectSel: any;
    cnt: number;
    monthName: string[];
    current_month_list: any[];
    canvasArr: any[];
    screeshotCount: number;
    screenshotInprogress: boolean;
    printScale: string;
    currentSectionInPrint: string;
    showDownloadMenu: boolean;
    stepsType: string;
    headerData: {
        schoolName: string;
        location: string;
        academicManager: string;
        ceVersion: string;
        contentCoverage: string;
        contentDownloaded: string;
        totalTopics: string;
        presentAssetCount: string;
        language: string;
        teacherTerminals: string;
        classroomTerminals: string;
        monthKey: string;
    };
    sections: {
        className: string;
        selector: string;
        title: string;
    }[];
    printType: string;
    toggleDownloadMenu(event: Event): void;
    onDocumentClick(event: Event): void;
    ngOnInit(): void;
    getDataByMonth(dataArray: any, monthKey: any): any;
    getDefaultMonth(): void;
    selectMonth(event: any): void;
    navToPosition(e: any): void;
    selectPagePosition(id: any): void;
    getPositionsOfComponents(IDarray: any): void;
    PP_selectPagePosition(id: any): void;
    printMonthlyUsageReport(type: any): void;
    takeScreenshotsSequentially(sections: any, index: any): void;
    convertToPPTX_WORKING(): void;
    convertToPPTX(): void;
    convertToPDF(): void;
    showPrintPreview_OLD(): void;
    onPrinblockClose(): void;
    getReportTitle(): string;
    getHeaderSummaryData(inputData?: any): void;
    getProgresPercantage(): number;
    ngOnDestroy(): void;
}
