import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class TerminalSummaryComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    contributionDiv: ElementRef;
    classRoomDiv: ElementRef;
    classRoomUtilzationChart: ElementRef;
    classroomUtilzationTable: ElementRef;
    edgeroomUtlizationChart: ElementRef;
    edgeroomUtlizationTable: ElementRef;
    constructor(usageReportLibService: UsageReportLibService);
    headerTitle: string;
    headerTitle2: string;
    classroom_Utilzation_isChartView: boolean;
    utilzaedgeroom_Contribution_isChartView: boolean;
    isMonthShowReqiured: boolean;
    chartType: ChartType;
    classroom_utilzation_ChartData: any;
    classroom_utilzation_TableData: any;
    edgeroom_utilization_ChartData: any;
    edgeroom_utlization_TableData: any;
    chartOptions: any;
    chartColumns: any;
    chartwidth: any;
    chartHeight: any;
    classroomUsersCount: any;
    classRoomUtilizationDiv: any;
    classroom_Utilzation_chartDiv: any;
    classroom_Utilzation_tableDiv: any;
    contributionUsersCount: any;
    edgeroomContributionDiv: any;
    edgeroom_Contribution_TableDiv: any;
    edgeroom_Contribution_chartDiv: any;
    classroom_utilzation_UserCount: any;
    edgeroom_utlization_UserCount: any;
    tableDiv: any;
    classroomData: any;
    edgeroomData: any;
    screenshotInProgress: boolean;
    filterOption: string;
    filteredData: any[];
    utilisedCount: number;
    unutilisedCount: number;
    allDataCount: number;
    paginationsEnabled: boolean;
    pageSize: number;
    currentPage: number;
    totalPages: number;
    currentPageData: any[];
    currentSessionPageData: any[];
    ngOnInit(): void;
    getDataByMonth(dataArray: any, monthKey: any): any;
    getClassroomAndEdgerromData(inputData: any): {
        classroomChartData: any[];
        classroomTableData: any[];
        classroomUserCountList: any[];
        edgeroomChartData: any[];
        edgeroomTableData: any[];
        edgeroomUserCountList: any[];
    };
    setFilter(option: string): void;
    applyFilter(): void;
    loadChart(): void;
    setSizeofCharts(): void;
    onResizeWindow(event: any): void;
    toggleView_classroom_Utilzation(): void;
    toggleView_edgeroom_contribution(): void;
    formatTime(seconds: any): string;
    calculateTotalPages(): void;
    updateChartwithPagination(pageData: any): void;
    updateCurrentPageData(): void;
    goToPage(page: number): void;
    nextPage(): void;
    previousPage(): void;
    getUtilisationCounts(data: any): void;
    ngOnDestroy(): void;
}
